Fooocus Upscale or Vary
ပေါင်းစည်းရန်
fooocus/upscale-or-vary
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fooocus/upscale-or-vary?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/upscale-or-vary?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/upscale-or-vary", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/my/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "fooocus/upscale-or-vary",
"input": {
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong API မှတစ်ဆင့် Fooocus Upscale or Vary မော်ဒယ် (fooocus/upscale-or-vary) ကို ခေါ်ယူပါ။ အေးဂျင့်များအတွက် စာရွက်စာတမ်းများ: https://doitong.com/my/developers/models/fooocus/upscale-or-vary.md
POST https://api.doitong.ru/v1/run/fooocus/upscale-or-vary?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Response status သည် "queued" သို့မဟုတ် "running" ဖြစ်ပါက "succeeded" ဖြစ်သည်အထိ GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ဖြင့် poll လုပ်ပါ။ ဖိုင်များသည် outputs[].url တွင် ရှိသည်။ လုပ်ဆောင်မီ အတိအကျစျေးနှုန်းရရန် တူညီသော body ဖြင့် POST https://api.doitong.ru/v1/quote/fooocus/upscale-or-vary ကို အသုံးပြုပါ။
ဤတောင်းဆိုချက်: ≈၀.၀၀၇ $ ၇ API ခရက်ဒစ် · ≈ ၀.၇၄ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်
သင့် API ကီးအသစ်။ ၎င်းကို ယခုတစ်ကြိမ်သာ ပြသထားပြီး ကုဒ်ထဲနှင့် အောက်ပါ API ကီး အကွက်ထဲတွင် ထည့်သွင်းပြီးဖြစ်သည်။ လျှို့ဝှက်ထားပါ—ဘရောက်ဇာတွင် လုပ်ဆောင်သည့် ကုဒ်ထဲသို့ မည်သည့်အခါမျှ မထည့်ပါနှင့်။
သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်
အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။
တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်
ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။
/run/fooocus/upscale-or-vary?wait=20
ကုန်ကျစရိတ် → ၀.၀၀၇ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fooocus/upscale-or-vary?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/upscale-or-vary?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/upscale-or-vary", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "fooocus/upscale-or-vary",
"input": {
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်
သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်
Fooocus Upscale or Vary အကြောင်း
မူရင်းပုံကို `uov_image_url` အဖြစ်ယူပြီး `uov_method` ကို အသုံးပြုသည်။ Vary (Subtle)၊ Vary (Strong)၊ Upscale (1.5x)၊ Upscale (2x) သို့မဟုတ် Upscale (Fast 2x) တို့ကို ရွေးချယ်နိုင်သည်။ မူလတန်ဖိုးမှာ Vary (Strong) ဖြစ်သည်။ `prompt`၊ စတိုင်များ၊ LoRA များနှင့် ရွေးချယ်နိုင်သော ပုံပရောမ့်များဖြင့် ရလဒ်ကို လမ်းညွှန်နိုင်ပြီး ပုံ 1 မှ 4 ပုံအထိ ပြန်လည်ရရှိသည်။
ပါရာမီတာများ
စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ
promptရွေးချယ်နိုင်သည်
negative_promptရွေးချယ်နိုင်သည်
stylesရွေးချယ်နိုင်သည်
performanceရွေးချယ်နိုင်သည်
guidance_scaleရွေးချယ်နိုင်သည်
sharpnessရွေးချယ်နိုင်သည်
aspect_ratioရွေးချယ်နိုင်သည်
num_imagesရွေးချယ်နိုင်သည်
num_outputs
lorasရွေးချယ်နိုင်သည်
loras[].pathလိုအပ်သည်
loras[].scaleရွေးချယ်နိုင်သည်
refiner_modelရွေးချယ်နိုင်သည်
refiner_switchရွေးချယ်နိုင်သည်
output_formatရွေးချယ်နိုင်သည်
seedရွေးချယ်နိုင်သည်
uov_image_urlလိုအပ်သည်
uov_methodရွေးချယ်နိုင်သည်
image_prompt_1ရွေးချယ်နိုင်သည်
image_prompt_1.typeရွေးချယ်နိုင်သည်
image_prompt_1.image_urlရွေးချယ်နိုင်သည်
image_prompt_1.stop_atရွေးချယ်နိုင်သည်
image_prompt_1.weightရွေးချယ်နိုင်သည်
image_prompt_2ရွေးချယ်နိုင်သည်
image_prompt_2.typeရွေးချယ်နိုင်သည်
image_prompt_2.image_urlရွေးချယ်နိုင်သည်
image_prompt_2.stop_atရွေးချယ်နိုင်သည်
image_prompt_2.weightရွေးချယ်နိုင်သည်
image_prompt_3ရွေးချယ်နိုင်သည်
image_prompt_3.typeရွေးချယ်နိုင်သည်
image_prompt_3.image_urlရွေးချယ်နိုင်သည်
image_prompt_3.stop_atရွေးချယ်နိုင်သည်
image_prompt_3.weightရွေးချယ်နိုင်သည်
image_prompt_4ရွေးချယ်နိုင်သည်
image_prompt_4.typeရွေးချယ်နိုင်သည်
image_prompt_4.image_urlရွေးချယ်နိုင်သည်
image_prompt_4.stop_atရွေးချယ်နိုင်သည်
image_prompt_4.weightရွေးချယ်နိုင်သည်
mixing_image_prompt_and_vary_upscaleရွေးချယ်နိုင်သည်
enable_safety_checkerရွေးချယ်နိုင်သည်
ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ
ထွက်ရလဒ်
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "fooocus/upscale-or-vary",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 7,
"usd": "0.007",
"charged": 7,
"refunded": 0
},
"input": {
"uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"timings": {},
"has_nsfw_concepts": [
false
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ထွက်ရလဒ်၏ Fields များ
- images
- array of object {url, content_type, file_name, file_size, width, height}ဖန်တီးထားသောပုံ၏ ဖိုင်အချက်အလက်။
- timings
- objectဖန်တီးမှုအတွက် ကုန်ဆုံးသည့်အချိန်။
- has_nsfw_concepts
- array of booleanဖန်တီးထားသောပုံများတွင် NSFW အယူအဆများ ပါဝင်ခြင်း ရှိ၊ မရှိ ဖော်ပြသည်။
အခြား Fooocus မူကွဲများ
နောက်ထပ် မော်ဒယ်များ: အရည်အသွေးမြှင့်ခြင်း
AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/fooocus/upscale-or-vary.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt